---
layout: docs
title: Table Treegrid
description: Table Treegrid extension of Bootstrap Table.
group: extensions
toc: true
---

Use Plugin: [bootstrap-table-treegrid](https://github.com/wenzhixin/bootstrap-table/tree/master/src/extensions/treegrid)</br>
Dependence: [jquery-treegrid](https://github.com/maxazan/jquery-treegrid) v0.3.0

## Usage

{% highlight html %}
<script src="extensions/treegrid/bootstrap-table-treegrid.js"></script>
{% endhighlight %}

## Options

### idField

- **type:** `String`

- **Detail:**

   overwrite the default idField to `'id'`

- **Default:** `'id'`

### treeShowField

- **type:** `String`

- **Detail:**



- **Default:** `''`

### parentIdField

- **type:** `String`

- **Detail:**



- **Default:** `'pid'`

### rootParentId

- **type:** `String`

- **Detail:**



- **Default:** `null`
